import { r as registerInstance, d as createEvent, B as Build, h } from './index-26447f8a.js';

const modalRenderTemplateCss = ".modal-render-template{--width:855px;--max-width:855px}@media only screen and (max-width: 860px){.modal-render-template{--width:100%;--max-width:auto}}";

const ModalRenderTemplate = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.floodteamCloseModal = createEvent(this, "floodteamCloseModal", 7);
    this.headerTitle = undefined;
    this.templateId = undefined;
    this.data = undefined;
  }
  componentDidLoad() {
    if (!(Build === null || Build === void 0 ? void 0 : Build.isBrowser))
      return;
  }
  render() {
    return [
      h("ion-header", null, h("ion-toolbar", null, h("ion-title", null, this.headerTitle), h("ion-buttons", { slot: "end" }, h("ion-button", { onClick: () => this.floodteamCloseModal.emit(), style: {
          "--color": "var(--ion-text-color)",
          "--color-hover": "var(--ion-color-danger",
        } }, h("ion-icon", { slot: "icon-only", name: "close-circle-outline" }))))),
      h("ion-content", null, h("floodteam-template", { class: "fullscreen", templateId: this.templateId, data: this.data })),
    ];
  }
};
ModalRenderTemplate.style = modalRenderTemplateCss;

export { ModalRenderTemplate as modal_render_template };
